<?php
/**
 * @param query Query para que usa este apartado para generarse
 * @return archivo en CSV
 */

function iron_CSV_UsuariosTotal ($query) {
    global $wpdb;
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Type: text/csv; charset=utf-8");
    header("Content-Disposition: attachment; filename=usuariosTotal.csv");
    $usuariosTotalCSV = $wpdb->get_results($query);
    ob_end_clean();
    ob_clean();
    echo  __('Usuarios', 'buddypress') . ',' .
          __('N de Amigos', 'buddypress') . ',' .
          __('N de Comentarios', 'buddypress') . ',' .
          __('N Me Gustas', 'buddypress') . ',' .
          __('N de Logins', 'buddypress') . ',' .
          __('Estado Actual', 'buddypress') . ',' .
          __('N Cambios de Estado', 'buddypress') . ',' .
          __('N Grupos Creados', 'buddypress') . ',' .
          __('N de Testimonios Creados', 'buddypress') . ',' .
          __('N de Preguntas a Todos Creadas', 'buddypress') . ',' .
          __('N de Eventos Creados', 'buddypress') . ',' .
          __('País', 'buddypress') . ',' .
          __('Población', 'buddypress') . "\n";
          
    
    foreach ($usuariosTotalCSV as $dataCSV) {
        echo $dataCSV->display_name             . ',' .
            ($dataCSV->friends == null          ? '0' : $dataCSV->friends) . ',' .
            ($dataCSV->comentarios == null      ? '0' : $dataCSV->comentarios) . ',' .
            ($dataCSV->nLikes == null           ? '0' : $dataCSV->nLikes) . ',' .
            ($dataCSV->nLogins == null          ? '0' : $dataCSV->nLogins) . ',' .
            stateChange($dataCSV->currentState) . ',' .
            ($dataCSV->nChangesState == null    ? '0' : $dataCSV->nChangesState) . ',' .
            ($dataCSV->nGroups == null          ? '0' : $dataCSV->nGroups) . ',' .
            ($dataCSV->testimonios == null      ? '0' : $dataCSV->testimonios) . ',' .
            ($dataCSV->preguntas == null        ? '0' : $dataCSV->preguntas) . ',' .
            ($dataCSV->eventos == null          ? '0' : $dataCSV->eventos) . ',' .
            ($dataCSV->pais == null             ? '0' : (html_entity_decode(validCodeCountry($dataCSV->pais)))) . ',' .
            ($dataCSV->poblacion == null        ? '0' : str_replace(',', '-', $dataCSV->poblacion)) . "\n";
            
    }
    die();
}

function emailTotalUsuariosActivosCSV ($query) {
    global $wpdb;
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=EmailUsuariosActivos.csv");
    $usuariosTotalCSV = $wpdb->get_results($query);
    ob_end_clean();
    ob_clean();
    
    echo __('Email', 'buddypress') . "\n";
    
    foreach ($usuariosTotalCSV as $dataCSV) {
        echo $dataCSV->user_email . "\n";
    }
    die();
}

function emailTotalUsuariosInactivosCSV ($query) {
    global $wpdb;
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=EmailUsuariosInactivos.csv");
    $usuariosTotalCSV = $wpdb->get_results($query);
    ob_end_clean();
    ob_clean();
    echo __('Email', 'buddypress') . "\n";
    
    foreach ($usuariosTotalCSV as $dataCSV) {
        echo $dataCSV->user_email . "\n";
    }
    die();
}

function iron_CSV_TablaRegistros ($where, $dias) {
    global $wpdb;
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=registros.csv");

    $Registros = $wpdb->get_row('select
                                        (select count(*) from wp_users where user_status = 0 and user_registered ' . $where . ') as Activos,
                                        (select count(*) from wp_users where user_status = 2 and user_registered ' . $where . ') as Inactovos,
                                        (select count(*) from wp_users where user_status = 0 ) as TotalAc,
                                        (select count(*) from wp_users where user_status = 2 ) as TotalIn');
    ob_end_clean();
    ob_clean();
?>
,<?php echo __('Desde ', 'buddypress') . $from . __(' Hasta ', 'buddypress') . $to . ',' . __('Media', 'buddypress') . ',%,' . __('Total', 'buddypress'); ?>;
<?php _e('Activos'); ?>,<?php echo $Registros->Activos ?>,<?php echo number_format(($Registros->Activos/$dias), 3) ?>,<?php echo number_format((($Registros->Activos/$dias)*100/$Registros->TotalAc), 3) ?>,<?php echo $Registros->TotalAc ?>;
<?php _e('Inactivos'); ?>,<?php echo $Registros->Inactovos ?>,<?php echo number_format(($Registros->Inactovos/$dias), 3) ?>,<?php echo number_format((($Registros->Inactovos/$dias)*100/$Registros->TotalIn), 3) ?>,<?php echo $Registros->TotalIn ?>
<?php
    die();
}

function iron_CSV_UsuariosActivos ($UsuariosRegistros){
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=UsuariosActivos.csv");

    ob_end_clean();
    ob_clean();

    echo __('Usuario', 'buddypress') . "," . __('Email', 'buddypress' ) . "," . __('Fecha De Registro', 'buddypress') .  "\n";

    foreach ($UsuariosRegistros as $UsuarioFechReg) {
        echo $UsuarioFechReg->display_name . "," . $UsuarioFechReg->user_email . "," . $UsuarioFechReg->user_registered . "\n";
    }
die();
}

function iron_CSV_EmailsActivos ($UsuariosRegistros) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=EmailsActivos.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __('Email', 'buddypress' ) .  "\n";
    
    foreach ($UsuariosRegistros as $UsuarioFechReg) {
        echo $UsuarioFechReg->user_email . "\n";
    }
die();
}

function iron_CSV_UsuariosInactivos($UsuariosRegistrosIn){
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=UsuariosInactivos.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __('Usuario', 'buddypress') . "," . __('Email', 'buddypress') . "," . __('Fecha De Registro', 'buddypress') . "\n";
    
    foreach ($UsuariosRegistrosIn as $UsuarioFechRegIn) {
        echo $UsuarioFechRegIn->user_login . ',' . $UsuarioFechRegIn->user_email . ',' . $UsuarioFechRegIn->user_registered . "\n";
    }
    die();
}

function iron_CSV_EmailsInactivos ($UsuariosRegistrosIn) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=EmailsInactivos.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __('Email', 'buddypress') . "\n";
    
    foreach ($UsuariosRegistrosIn as $UsuarioFechRegIn) {
        echo $UsuarioFechRegIn->user_email . "\n";
    }
    die();
}

function iron_CSV_TablaEstadosDeAnimo($from, $to, $Animo) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=EstadosDeAnimo.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo "," . __("N Usuarios Desde", 'buddypress') . " " . $from . " " . __("Hasta", 'buddypress') ." " . $to . "," . __("Nº Usuarios Hoy", 'buddypress') . "\n";
    echo __("Estoy Contigo", 'buddypress') . "," . $Animo->EstoyContigo . "," . $Animo->EstoyContigoTotal . "\n";
    echo __("Busco Respuestas", 'buddypress') . "," . $Animo->BuscoRespuestas . "," . $Animo->BuscoRespuestasTotal . "\n";
    echo __("Necesito Apoyarme", 'buddypress') . "," . $Animo->NecesitoApoyarme . "," . $Animo->NecesitoApoyarmeTotal . "\n";
    echo __("Sigo Adelante", 'buddypress') . "," . $Animo->SigoAdelante . "," . $Animo->SigoAdelanteTotal . "\n";
    die();
}

function iron_CSV_TableEstoyContigo($TableEstoyContigo) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=EstoyContigo.csv");

    ob_end_clean();
    ob_clean();

    echo __("Usuario", 'buddypress') . "," . __("Cambio De Estado", 'buddypress') . "\n";

    foreach ($TableEstoyContigo as $UsuarioEstoyContigo) {
        echo get_user_by('id', $UsuarioEstoyContigo->user_id)->display_name . ',' . $UsuarioEstoyContigo->last_updated . "\n";
    }
    die();
}

function iron_CSV_TableBuscoRespuestas($TableBuscoRespuestas) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=BuscoRespuestas.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Usuario", 'buddypress') . "," . __("Cambio De Estado", 'buddypress') . "\n";
    
    foreach ($TableBuscoRespuestas as $UsuarioBuscoRespuestas) {
        echo get_user_by('id', $UsuarioBuscoRespuestas->user_id)->display_name . ',' . $UsuarioBuscoRespuestas->last_updated . "\n";
    }
    die();
}

function iron_CSV_TableNecesitoApoyarme($TableNecesitoApoyarme) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=BuscoRespuestas.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Usuario", 'buddypress') . "," . __("Cambio De Estado", 'buddypress') . "\n";
    
    foreach ($TableNecesitoApoyarme as $UsuarioNecesitoApoyarme) {
        echo get_user_by('id', $UsuarioNecesitoApoyarme->user_id)->display_name . ',' . $UsuarioNecesitoApoyarme->last_updated . "\n";
    }
    die();
}

function iron_CSV_TableSigoAdelante($TableSigoAdelanteTotal) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=SigoAdelante.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Usuario", 'buddypress') . "," . __("Cambio De Estado", 'buddypress') . "\n";
    
    foreach ($TableSigoAdelanteTotal as $UsuarioSigoAdelanteTotal) {
        echo get_user_by('id', $UsuarioSigoAdelanteTotal->user_id)->display_name . ',' . $UsuarioSigoAdelanteTotal->last_updated . "\n";
    }
    die();
}

function iron_CSV_EstadoDeSolicitudes($from, $to,$Amistad,$dias) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=SolicitudesDeAmistad.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo "," . __("Desde", 'buddypress') . " " . $from . " " . __("Hasta", 'buddypress') . " " .  $to . "," . __("Media", 'buddypress') .",%," . __("Total", 'buddypress') . "\n";
    echo __("En Proceso", 'buddypress') . "," . $Amistad->ProcesoXTime . "," . number_format(($Amistad->ProcesoXTime/$dias), 3) . "," . number_format((($Amistad->ProcesoXTime/$dias)*100/$Amistad->ProcesoTotal), 3) . "," . $Amistad->ProcesoTotal . "\n";
    echo __("Aceptadas", 'buddypress') . "," . $Amistad->AceptadasXTime . "," . number_format(($Amistad->AceptadasXTime/$dias), 3) . "," . number_format((($Amistad->AceptadasXTime/$dias)*100/$Amistad->AceptadasTotal), 3) . "," . $Amistad->AceptadasTotal ."\n";
    
    die();
}

function iron_CSV_TableEnProceso($TableEnProceso) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=EnProceso.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("De", 'buddypress') . "," . __("A", 'buddypress') . "," . __("Fecha De Petición", 'buddypress') . "\n";
    
    foreach ($TableEnProceso as $RelacionesEnProceso) {
        echo get_user_by('id', $RelacionesEnProceso->initiator_user_id)->display_name . ',' . get_user_by('id', $RelacionesEnProceso->friend_user_id)->display_name . ',' . $RelacionesEnProceso->date_created . "\n";
    }
    die();
}

function iron_CSV_TableAceptadas($TableAceptadas) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=Aceptadas.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("De", 'buddypress') . "," . __("A", 'buddypress') . "," . __("Fecha De Petición", 'buddypress') . "\n";
    
    foreach ($TableAceptadas as $RelacionesAceptadas) {
        echo get_user_by('id', $RelacionesAceptadas->initiator_user_id)->display_name . ',' . get_user_by('id', $RelacionesAceptadas->friend_user_id)->display_name . ',' . $RelacionesAceptadas->date_created . "\n";
    }
    die();
}

function iron_CSV_UsuariosAmigos($UsersAmigos) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=UsuariosConMasAmigos.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Usuario", 'buddypress') . "," . __("N Amig@s", 'buddypress') . "\n";
    
    foreach ($UsersAmigos as $UserNAmigos) {
        echo get_user_by('id', $UserNAmigos->user_id)->display_name . ',' . $UserNAmigos->meta_value . "\n";
    }
    die();
}

function iron_CSV_PublicaionesYComentaios($from, $to, $IntUsuarios, $dias) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=PublicacionesYComentarios.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo "," . __("Desde", 'buddypress') . " " . $from . " " . __("Hasta", 'buddypress') . " " . $to . "," . __("Media", 'buddypress') . ",%," . __("Total", 'buddypress') . "\n";
    echo "Publicaciones En Muros," . $IntUsuarios->activity_update . "," . number_format(($IntUsuarios->activity_update/$dias), 3) . "," . number_format(($IntUsuarios->activity_update/$dias), 3) . "," . $IntUsuarios->AUTotal . "\n";
    echo "Comentarios A Publicaciones De Muros," . $IntUsuarios->activity_comment . "," . number_format(($IntUsuarios->activity_comment/$dias), 3) . "," . number_format(($IntUsuarios->activity_comment/$dias), 3) . "," . $IntUsuarios->ACTotal . "\n";
    die();
}

function iron_CSV_TablePublicacionesEnMuros($TablePublicacionesEnMuros) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=PublicacionesEnMuro.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Publicaciones", 'buddypress') . "," . __("Usuario", 'buddypress') . "," . __("Fecha De Publicación", 'buddypress') . "\n";
    
    foreach ($TablePublicacionesEnMuros as $PublicacionesEnMuros) {
        echo '"' . str_replace('"', '', $PublicacionesEnMuros->content) . '","' . get_user_by('id', $PublicacionesEnMuros->user_id)->display_name . '","' . $PublicacionesEnMuros->date_recorded . '"' . "\n";
    }
    die();
}

function iron_CSV_TableComentariosPublicaciones($TableComentariosPublicaciones) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=ComentariosPublicaciones.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Comentario", 'buddypress') . "," . __("Usuario", 'buddypress') . "," . __("Fecha De Comentario", 'buddypress') . "\n";
    
    foreach ($TableComentariosPublicaciones as $ComentariosPublicaciones) {
        echo '"' . str_replace('"', ' ', $ComentariosPublicaciones->content) . '","' . get_user_by('id', $ComentariosPublicaciones->user_id)->display_name . '","' . $ComentariosPublicaciones->date_recorded . '"' . "\n";
    }
    die();
}

function iron_CSV_PublicacionesMegusta($likes) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=PublicacionesMasMeGusta.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Publicación", 'buddypress') . "," . __("Usuario", 'buddypress') . "," . __("N Me Gusta", 'buddypress') . "\n";
    
    foreach ($likes as $like) {
        echo '"' . str_replace('"', '', $like->content) . '","' . get_userdata($like->user_id)->display_name . '","' . $like->meta_value . '"' . "\n";
    }
    die();
}

function iron_CSV_UsauriosComentarios($UsusariosComentarios) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=UsuariosMasComentarios.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Usuario", 'buddypress') . "," . __("N Comentarios", 'buddypress') . "\n";
    
    foreach ($UsusariosComentarios as $UsuarioNumComentarios) {
        echo get_user_by('id', $UsuarioNumComentarios->usersA)->display_name . ',' . $UsuarioNumComentarios->TotalC . "\n";
    }
    die();
}

function iron_CSV_TableGTP($from, $to, $GTP, $dias) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=GTP.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo "," . __("Creados Desde", 'buddypress') . " " . $from . " " . __("Hasta", 'buddypress') . " " . $to . "," . __("Media", 'buddypress') . ",%," . __("Total", 'buddypress') . "\n";
    
    echo __('Grupos', 'buddypress') . ',' . $GTP->Grupos . ',' . number_format(($GTP->Grupos/$dias), 3) . ',' . number_format((($GTP->Grupos/$dias)*100/$GTP->GruposTotal), 3) . ',' . $GTP->GruposTotal ."\n";
    echo __('Testimonios', 'buddypress') . ',' . $GTP->Testimonios . ',' . number_format(($GTP->Testimonios/$dias), 3) . ',' . number_format((($GTP->Testimonios/$dias)*100/$GTP->TestimoniosTotal), 3) . ',' . $GTP->TestimoniosTotal ."\n";
    echo __('Preguntas A Todos', 'buddypress') . ',' . $GTP->Preguntas . ',' . number_format(($GTP->Preguntas/$dias), 3) . ',' . number_format((($GTP->Preguntas/$dias)*100/$GTP->PreguntasTotal), 3) . ',' . $GTP->PreguntasTotal ."\n";
    
    die();
}

function iron_CSV_TableGrupos($FechCreadoGrupos) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=Grupos.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Grupo", 'buddypress') . "," . __("Fecha De Creación", 'buddypress' ) . "\n";
    
    foreach ($FechCreadoGrupos as $CreadoGrupo) {
        echo str_replace(',', ' ', $CreadoGrupo->name) . ',' . $CreadoGrupo->date_created . "\n";
    }
    die();
}

function iron_CSV_TableTestimonios($FechCreadoTestimonio) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=Testimonios.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Testimonio", 'buddypress') . "," . __("Fecha De Creación", 'buddypress') . "\n";
    
    foreach ($FechCreadoTestimonio as $CreadoTestimonio) {
        echo str_replace(',', ' ', $CreadoTestimonio->post_title) . ',' . $CreadoTestimonio->post_date . "\n";
    }
    die();
}

function iron_CSV_TablePreguntas($FechCreadoPreguntas) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=PreguntasATodos.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Preguntas A Todos", 'buddypress') . "," . __("Fecha De Creación", 'buddypress') . "\n";
    
    foreach ($FechCreadoPreguntas as $CreadoPreguntas) {
        echo str_replace(',', ' ', $CreadoPreguntas->post_title). ',' . $CreadoPreguntas->post_date . "\n";
    }
    die();
}

function iron_CSV_GruposUsuariosTabla($GruposNUsuarios) {
    global $wpdb;
    
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=GruposNUsuarios.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo "Grupo,Nº De Usuarios\n";
    
    foreach ($GruposNUsuarios as $GrupoNUsuarios) {
        $group = $wpdb->get_row("select * from  wp_bp_groups where id = '" . $GrupoNUsuarios->group_id . "'");
        echo str_replace(',', ' ', $group->name) . ',' . $GrupoNUsuarios->meta_value . "\n";
    }
    die();
}

function iron_CSV_GruposComentarios($GroupsNComentarios) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=GruposNComentarios.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Grupo", 'buddypress') . "," . __("N De Usuarios", 'buddypress') . "\n";
    
    foreach ($GroupsNComentarios as $GroupNComentarios) {
        echo str_replace(',', ' ', $GroupNComentarios->name) . ',' . $GroupNComentarios->N_Comentarios . "\n";
    }
    die();
}

function iron_CSV_TestimoniosComentariosTable($TestimoniosNComentarios) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=TestimoniosNComentarios.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Nombre Del Testimonio Creados Desde", 'buddypress') . ' ' . $from . ' ' . __('Hasta', 'buddypress') . ' ' . $to . "," . __('N De Comentarios', 'buddypress') . "\n";
    
    foreach ($TestimoniosNComentarios as $TestiNComentarios) {
        echo '"' . str_replace('"', ' ', $TestiNComentarios->post_title) . '","' . $TestiNComentarios->total . '"' . "\n";
    }
    die();
}

function iron_CSV_PreguntasComentariosTable($PreguntasNComentarios) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=PreguntasATodosNComentarios.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo __("Nombre De La Pregunta A Todos Creadas Desde", 'buddypress') . ' ' . $from . ' ' . __('Hasta', 'buddypress') . ' ' . $to . "," . __("N De Comentarios", 'buddypress') . "\n";
    
    foreach ($PreguntasNComentarios as $PregNComentarios) {
        echo '"' . str_replace('"', ' ', $PregNComentarios->post_title) . '","' . $PregNComentarios->total . '"' . "\n";
    }
    die();
}

function iron_CSV_TableCOUNTCOMENTS($TOTALusuarios, $TOTALcomentarios) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=Totales.csv");
    
    ob_end_clean();
    ob_clean();
    
    echo "," . __("N Usarios Activos", 'buddypress') . "," . __("Media", 'buddypress') . "," . __("N Total De Comentarios", 'buddypress') . "\n";
    echo ',' . $TOTALusuarios->users . ',' . number_format(($TOTALcomentarios->TotalC/$TOTALusuarios->users), 3) . ',' . $TOTALcomentarios->TotalC . "\n";
    
    die();
}

function iron_CSV_UsersDeleted($usersDeleted) {
    header("Content-type: application/csv");
    header("Pragma: no-cache");
    header("Expires: 0");
    header("Content-Disposition: attachment; filename=UsuariosDadosDeBaja.csv");

    ob_end_clean();
    ob_clean();

    echo __('Nombre', 'buddypress') . "," . __('Usuario', 'buddypress') . "," . __('Email', 'buddypress') . "," . __('Fecha de registro', 'buddypress') . "," . __('Fecha de baja', 'buddypress') . "\n";

    foreach ($usersDeleted as $userDeleted) {

    echo $userDeleted->display_name . "," . $userDeleted->user_login . "," . $userDeleted->user_email . "," . $userDeleted->user_registered . "," . $userDeleted->user_deleted . "\n";

    }
    die();
}
?>